
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>[NOIP2013] 花匠 / 憋错料</title>

    <meta name="description" content="[NOIP2013] 花匠 初看这道题想到O(n2) 的暴力dp 用f[i][0]表示取第i个点为最低点时的答案, f[i][1]为最高点,且f[i][0] = max( f[j][1] ) +1 这样每次都要查询前面区间满足 h[i]&gt;h[j] 的最大值, 可以考虑 线段树区间查询 或者 BIT 或者BST , 时间降至O(nlogn) 但是BIT时要注意查询h[i]&lt;h[j] 条件时涉及到 j ~ maxheight 的最值查询, 可以把maxheight -h[i] +2 (BIT下标不为0) 存入树状数 ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">[NOIP2013] 花匠</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<p>初看这道题想到O(n<sup>2</sup>) 的暴力dp</p>
<p>用f[i][0]表示取第i个点为最低点时的答案, f[i][1]为最高点，且f[i][0] = max( f[j][1] ) +1</p>
<p>这样每次都要查询前面区间满足 h[i]&gt;h[j] 的最大值， 可以考虑 线段树区间查询 或者 BIT 或者BST ， 时间降至O(nlogn)</p>
<p>但是BIT时要注意查询h[i]&lt;h[j] 条件时涉及到 j ~ maxheight 的最值查询， 可以把maxheight -h[i] +2 (BIT下标不为0) 存入树状数组</p>
<p>RE 代码：<strong>BIT 误取最大下标为n！！ 实际上应该在读入时求出maxheight！！</strong></p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzLmNuYmxvZ3MuY29tL091dGxpbmluZ0luZGljYXRvcnMvQ29udHJhY3RlZEJsb2NrLmdpZg==.jpg" /><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzLmNuYmxvZ3MuY29tL091dGxpbmluZ0luZGljYXRvcnMvRXhwYW5kZWRCbG9ja1N0YXJ0LmdpZg==.jpg" /></p>

<pre>#include&lt;iostream&gt;
#include&lt;cstdio&gt;
#include&lt;cstring&gt;
#include&lt;cstdlib&gt;
#include&lt;cmath&gt;
#include&lt;vector&gt;
#include&lt;queue&gt;
#include&lt;stack&gt;
#include&lt;map&gt;
#include&lt;set&gt;
#include&lt;string&gt;
#include&lt;iomanip&gt;
#include&lt;ctime&gt;
#include&lt;climits&gt;
#include&lt;cctype&gt;
#include&lt;algorithm&gt;
#ifdef WIN32
#define AUTO "%I64d"
#else
#define AUTO "%lld"
#endif
using namespace std;
#define lowbit(x) x&amp;-x
#define smax(x,tmp) x=max(x,tmp)
const int maxn=100005;
const int INF=0x3f3f3f3f;
int high[maxn],low[maxn];//!! LAST RE!!! BIT  must be bigger!! maxheight!!!
int f[maxn][2];//0: low point ; 1: high point
int a[maxn];
int n;
int maxheight=-INF;
inline void add_low(int x,int val)
{
    for(int i=x;i&lt;=maxheight+1;i+=lowbit(i)) smax(low[i],val);//also easy to consider as n!!
}
inline void add_high(int x,int val)
{
    for(int i=x;i&lt;=maxheight+1;i+=lowbit(i)) smax(high[i],val);
}
inline int query_low(int x)
{
    int ret=0;
    for(int i=x;i;i-=lowbit(i))    smax(ret,low[i]);
    return ret;
}
inline int query_high(int x)
{
    int ret=0;
    for(int i=x;i;i-=lowbit(i)) smax(ret,high[i]);
    return ret;
}

int main()
{
    freopen("flower.in","r",stdin);
    freopen("flower.out","w",stdout);
    scanf("%d",&amp;n);
    for(int i=1;i&lt;=n;i++) scanf("%d",a+i),smax(maxheight,a[i]);
    int ans=1;
    f[1][0]=f[1][1]=1;
    add_low(a[1]+1,f[1][0]);add_high(maxheight-a[1]+2,f[1][1]);//add reversely, to query the max !!
    for(int i=2;i&lt;=n;i++)
    {
        f[i][0]=query_high(maxheight-a[i]+1)+1;
        f[i][1]=query_low(a[i])+1;
        add_low(a[i]+1,f[i][0]);//can‘t either!!
        add_high(maxheight-a[i]+2,f[i][1]);// mustn‘t use the 0 point !!
        smax(ans,max(f[i][0],f[i][1]));
    }
    printf("%d",ans);
    return 0;
}</pre>
<p></p>
<p>AC代码：（BIT）</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzLmNuYmxvZ3MuY29tL091dGxpbmluZ0luZGljYXRvcnMvQ29udHJhY3RlZEJsb2NrLmdpZg==.jpg" /><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzLmNuYmxvZ3MuY29tL091dGxpbmluZ0luZGljYXRvcnMvRXhwYW5kZWRCbG9ja1N0YXJ0LmdpZg==.jpg" /></p>

<pre>#include&lt;iostream&gt;
#include&lt;cstdio&gt;
#include&lt;cstring&gt;
#include&lt;cstdlib&gt;
#include&lt;cmath&gt;
#include&lt;vector&gt;
#include&lt;queue&gt;
#include&lt;stack&gt;
#include&lt;map&gt;
#include&lt;set&gt;
#include&lt;string&gt;
#include&lt;iomanip&gt;
#include&lt;ctime&gt;
#include&lt;climits&gt;
#include&lt;cctype&gt;
#include&lt;algorithm&gt;
#ifdef WIN32
#define AUTO "%I64d"
#else
#define AUTO "%lld"
#endif
using namespace std;
#define lowbit(x) x&amp;-x
#define smax(x,tmp) x=max(x,tmp)
const int maxn=100005;
const int maxh=1000005;
const int INF=0x3f3f3f3f;
int high[maxh],low[maxh];//for BIT
int f[maxn][2];//0: low point ; 1: high point
int a[maxn];
int n;
int maxheight=-INF;
inline void add_low(int x,int val)
{
    for(int i=x;i&lt;=maxheight+1;i+=lowbit(i)) smax(low[i],val);
}
inline void add_high(int x,int val)
{
    for(int i=x;i&lt;=maxheight+1;i+=lowbit(i)) smax(high[i],val);
}
inline int query_low(int x)
{
    int ret=0;
    for(int i=x;i;i-=lowbit(i))    smax(ret,low[i]);
    return ret;
}
inline int query_high(int x)
{
    int ret=0;
    for(int i=x;i;i-=lowbit(i)) smax(ret,high[i]);
    return ret;
}

int main()
{
    freopen("flower.in","r",stdin);
    freopen("flower.out","w",stdout);
    scanf("%d",&amp;n);
    for(int i=1;i&lt;=n;i++) scanf("%d",a+i),smax(maxheight,a[i]);
    int ans=1;
    f[1][0]=f[1][1]=1;
    add_low(a[1]+1,f[1][0]);add_high(maxheight-a[1]+2,f[1][1]);//add reversely, to query the max !!
    for(int i=2;i&lt;=n;i++)
    {
        f[i][0]=query_high(maxheight-a[i]+1)+1;
        f[i][1]=query_low(a[i])+1;
        add_low(a[i]+1,f[i][0]);//can‘t either!!
        add_high(maxheight-a[i]+2,f[i][1]);// mustn‘t use the 0 point !!
        smax(ans,max(f[i][0],f[i][1]));
    }
    printf("%d",ans);
    return 0;
}

//O(n): f[i][0,1] indicates that don‘t need to stop at i, but had the previous cases

//O(n): find the corners with the tendency</pre>
<p></p>
<p>现虑另一种 O(n) 的dp</p>
<p>用f[i][0,1] 表示 i 及其以前所有高度的最大值，但是0 表示之前出于下降阶段而并非之前的上一个节点为转折点， 仅仅表示一个趋势</p>
<p>另一种 o(n) 算法</p>
<p>由于一段相同变化趋势的区段内只能留下一个端点</p>
<p>故只需要统计出所有的<strong>&rdquo;拐点&ldquo;</strong>即可！</p>
<p>WA代码： 只考虑到相邻的几个数，但是缺乏长远的考虑！！！！应用趋势来判断！！</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzLmNuYmxvZ3MuY29tL091dGxpbmluZ0luZGljYXRvcnMvQ29udHJhY3RlZEJsb2NrLmdpZg==.jpg" /><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzLmNuYmxvZ3MuY29tL091dGxpbmluZ0luZGljYXRvcnMvRXhwYW5kZWRCbG9ja1N0YXJ0LmdpZg==.jpg" /></p>

<pre>#include&lt;iostream&gt;
#include&lt;cstdio&gt;
#include&lt;cstring&gt;
#include&lt;cstdlib&gt;
#include&lt;cmath&gt;
#include&lt;vector&gt;
#include&lt;queue&gt;
#include&lt;stack&gt;
#include&lt;map&gt;
#include&lt;set&gt;
#include&lt;string&gt;
#include&lt;iomanip&gt;
#include&lt;ctime&gt;
#include&lt;climits&gt;
#include&lt;cctype&gt;
#include&lt;algorithm&gt;
#ifdef WIN32
#define AUTO "%I64d"
#else
#define AUTO "%lld"
#endif
using namespace std;
#define lowbit(x) x&amp;-x
#define smax(x,tmp) x=max(x,tmp)
const int maxn=100005;
const int INF=0x3f3f3f3f;
int n;
int a[maxn];
int main()
{
    freopen("flower.in","r",stdin);
    freopen("flower.out","w",stdout);
    scanf("%d",&amp;n);
    for(int i=1;i&lt;=n;i++) scanf("%d",a+i);
    int ans=2;
    for(int i=2;i^n;i++)
    {
        if(a[i-1]&gt;a[i] &amp;&amp; a[i]&lt;a[i+1]) ans++;//Last WA!! not only the near one, but long trems
        if(a[i-1]&lt;a[i] &amp;&amp; a[i]&gt;a[i+1]) ans++;
    }
    printf("%d",ans);
    return 0;
}</pre>
<p></p>
<p>AC代码：</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzLmNuYmxvZ3MuY29tL091dGxpbmluZ0luZGljYXRvcnMvQ29udHJhY3RlZEJsb2NrLmdpZg==.jpg" /><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzLmNuYmxvZ3MuY29tL091dGxpbmluZ0luZGljYXRvcnMvRXhwYW5kZWRCbG9ja1N0YXJ0LmdpZg==.jpg" /></p>

<pre>#include&lt;iostream&gt;
#include&lt;cstdio&gt;
#include&lt;cstring&gt;
#include&lt;cstdlib&gt;
#include&lt;cmath&gt;
#include&lt;vector&gt;
#include&lt;queue&gt;
#include&lt;stack&gt;
#include&lt;map&gt;
#include&lt;set&gt;
#include&lt;string&gt;
#include&lt;iomanip&gt;
#include&lt;ctime&gt;
#include&lt;climits&gt;
#include&lt;cctype&gt;
#include&lt;algorithm&gt;
#ifdef WIN32
#define AUTO "%I64d"
#else
#define AUTO "%lld"
#endif
using namespace std;
#define lowbit(x) x&amp;-x
#define smax(x,tmp) x=max(x,tmp)
const int maxn=100005;
const int INF=0x3f3f3f3f;
int n;
int a[maxn];
int main()
{
    freopen("flower.in","r",stdin);
    freopen("flower.out","w",stdout);
    scanf("%d",&amp;n);
    for(int i=1;i&lt;=n;i++) scanf("%d",a+i);
    int ans=1;//indicates the first one to start!!
    int flag=0;//indicates start!!
    for(int i=1;i^n;i++)
    {
        if(a[i]&lt;a[i+1] &amp;&amp; (flag==0 || flag==-1)) flag=1,ans++;
        if(a[i]&gt;a[i+1] &amp;&amp; (flag==0 || flag==1)) flag=-1,ans++;
    }
    printf("%d",ans);
    return 0;
}</pre>
<p></p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-28 20:07:51 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong>         </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>[NOIP2013] 花匠的相关文章</h3>

						<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MWjVgm4.html" rel="bookmark">&amp;lt&semi;NOIP2013 花匠&amp;gt&semi; 新人解题报告</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本来按照老师的要求,我学OI的第一份解题报告应是在寒假完成的关于数据结构的基础题,但由于身体原因当时未能完成,那么就在省选赛前临时写几篇吧-- 题目描述 花匠栋栋种了一排花,每株花都有自己的高度.花儿越长越大,也越来越挤.栋栋决定把这排中的一部分花移走,将剩下的留在原地,使得剩下的花能有空间长大,同时,栋栋希望剩下的花排列得比较别致. 具体而言,栋栋的花的高度可以看成一列整数?1, ?2, - , ?n.设当一部分花被移走后,剩下的花的高度依次为g1, g2, - , gm,则栋栋希望下面两个条			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/9MEyrDM.html" rel="bookmark">NOIP2013花匠</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				描述 花匠栋栋种了一排花,每株花都有自己的高度.花儿越长越大,也越来越挤.栋栋决定把这排中的一部分花移走,将剩下的留在原地,使得剩下的花能有空间长大,同时,栋栋希望剩下的花排列得比较别致. 具体而言,栋栋的花的高度可以看成一列整数h1, h2, … , hn.设当一部分花被移走后,剩下的花的高度依次为g1, g2, … , gm,则栋栋希望下面两个条件中至少有一个满足: 条件 A:对于所有的1&lt;i&lt;m/21im2,g2i&gt;g2i−1g2ig2i1,且g2i&gt;g2i+1g2ig2i1			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/4N1kwB3.html" rel="bookmark">刷过一题之NOIP2013花匠</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				花匠栋栋种了一排花,每株花都有自己的高度.花儿越长越大,也越来越挤.栋栋决定把这排中的一部分花移走,将剩下的留在原地,使得剩下的花能有空间长大,同时,栋栋希望剩下的花排列得比较别致.具体而言,栋栋的花的高度可以看成一列整数h1,h2, … ,hn.设当一部分花被移走后,剩下的花的高度依次为g1,g2, … ,gm,则栋栋希望下面两个条件中至少有一个满足:       注意上面两个条件在m=1时同时满足,当m&gt;1时最多有一个能满足.请问,栋栋最多能将多少株花留在原地. 输入: 第二行包含n个整数,			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MLL8aEM.html" rel="bookmark">Noip2013花匠题解</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				题目描述 Description 花匠栋栋种了一排花,每株花都有自己的高度.花儿越长越大,也越来越挤.栋栋决定把这排中的一部分花移走,将剩下的留在原地,使得剩下的花能有空间长大,同时,栋栋希望剩下的花排列得比较别致. 具体而言,栋栋的花的高度可以看成一列整数h1,h2,-,hn.设当一部分花被移走后,剩下的花的高度依次为g1,g2,-,gm,则栋栋希望下面两个条件中至少有一个满足: 条件 A:对于所有的1&lt;i&lt;m2,g2i&gt;g2i?1,且g2i&gt;g2i+1: 条件 B:对于所有的1			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MzjXwqM.html" rel="bookmark">NOIP2013 花匠  题解（方法全面）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				2．花匠 (flower.cpp/c/pas) [问题描述] 花匠栋栋种了一排花,每株花都有自己的高度.花儿越长越大,也越来越挤.栋栋决定把这排中的一部分花移走,将剩下的留在原地,使得剩下的花能有空间长大,同时,栋栋希望剩下的花排列得比较别致. 具体而言,栋栋的花的高度可以看成一列整数?1, ?2, - , ?n.设当一部分花被移走后,剩下的花的高度依次为g1,g2,- , gm,则栋栋希望下面两个条件中至少有一个满足: 条件 A:对于所有的1≤i≤,有g2i  &gt;g2i-1,同时对于所有的1≤			</div>
		</article>
	</section>
						<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0bn2AY0.html" rel="bookmark">&lbrack;题解&plus;总结&rsqb;动态规划大合集II</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.前言 大合集总共14道题,出自江哥之手(这就没什么好戏了),做得让人花枝乱颤.虽说大部分是NOIP难度,也有简单的几道题目,但是还是做的很辛苦,有几道题几乎没思路,下面一道道边看边分析一下. 2.lis 最长上升子序列 唯一一道裸题,但是O(n^2)过不了,临时看了看O(n log n)的二分做法和线段树做法.先来讲讲简单的二分做法,其本质就是在O(n^2)上进行优化,需要证明一个结论.设当前处理数列第k位,存在: (1)a[i]&lt;a[j]&lt;a[k]: (2)i&lt;j&lt;k: (3			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/XMgBvg4.html" rel="bookmark">&lbrack;NOIP2013&rsqb; 提高组 洛谷P1970 花匠</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				题目描述 花匠栋栋种了一排花,每株花都有自己的高度.花儿越长越大,也越来越挤.栋栋决定 把这排中的一部分花移走,将剩下的留在原地,使得剩下的花能有空间长大,同时,栋栋希 望剩下的花排列得比较别致. 具体而言,栋栋的花的高度可以看成一列整数h1,h2..hn.设当一部分花被移走后,剩下的花的高度依次为g1,g2..gn,则栋栋希望下面两个条件中至少有一个满足: 条件 A:对于所有g(2i)&gt;g(2i-1),g(2i)&gt;g(2i+1) 条件 B:对于所有g(2i)&lt;g(2i-1),g(2i)			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0jyQmVM.html" rel="bookmark">洛谷 P1570【NOIP2013】花匠</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				题目描述 花匠栋栋种了一排花,每株花都有自己的高度.花儿越长越大,也越来越挤.栋栋决定 把这排中的一部分花移走,将剩下的留在原地,使得剩下的花能有空间长大,同时,栋栋希 望剩下的花排列得比较别致. 具体而言,栋栋的花的高度可以看成一列整数h1,h2..hn.设当一部分花被移走后,剩下的花的高度依次为g1,g2..gn,则栋栋希望下面两个条件中至少有一个满足: 条件 A:对于所有g(2i)&gt;g(2i-1),g(2i)&gt;g(2i+1) 条件 B:对于所有g(2i)&lt;g(2i-1),g(2i)			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/M68mZZ3.html" rel="bookmark">【NOIP2013】花匠</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Description 花匠栋栋种了一排花,每株花都有自己的高度.花儿越长越大,也越来越挤.栋栋决定把这排中的一部分花移走,将剩下的留在原地,使得剩下的花能有空间长大,同时,栋栋希望剩下的花排列得比较别致. 具体而言,栋栋的花的高度可以看成一列整数h1, h2, - , hn.设当一部分花被移走后,剩下的花的高度依次为g1, g2, - , gm,则栋栋希望下面两个条件中至少有一个满足: 条件 A:对于所有的1 ≤ i &lt; m / 2,g_2i &gt; g_2i?1,且g_2i &gt; g_2i			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/Q0xQnD3.html" rel="bookmark" class="title">几个第三方库发图片</a>
					<div>
						libstrophe发送图片 http://blog.csdn.net/fuyuehua22/article/details/38587627 用libevent实现的发送图片 http://blog ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/9ME9vxM.html" rel="bookmark" class="title">Python C扩展</a>
					<div>
						可以用C写一个module,可提供给Python使用. #include &lt;Python.h&gt;#include &lt;stdio.h&gt;void Print_PyObject(PyO ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MmGDOK3.html" rel="bookmark" class="title">rsync&plus;inotify 实现服务器之间目录文件实时同步&lpar;转&rpar;</a>
					<div>
						软件简介: 1.rsync 与传统的 cp. tar 备份方式相比,rsync 具有安全性高.备份迅速.支持增量备份等优点,通过 rsync 可 以解决对实时性要求不高的数据备份需求,例如定期的备份文 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0byZleM.html" rel="bookmark" class="title">shell脚本（二）</a>
					<div>
						shell脚本(二)					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3OmlzXM.html" rel="bookmark" class="title">循环队列（C语言版）</a>
					<div>
						#include &lt;iostream&gt; using namespace std; #define MAXSIZE 50 typedef int QueueElementType; type ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3vEnZo0.html" rel="bookmark" class="title">Centos6&period;8下安装oracle&lowbar;11gr2版主要过程</a>
					<div>
						安装前准备 下载oracle版本 地址:http://docs.oracle.com/cd/E21901_01/index.html ,下载2个文件分别是 linux.x64_11gR2_databa ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/38ZLj2M.html" rel="bookmark" class="title">运维之我的docker-compose快速创建zookeeper集群</a>
					<div>
						很多时候大家不同的容器想要不用启动参数这个时候不妨使用脚本封装来实现,官方也很推荐这个做法,这里介绍下如何使用脚本传参快速启动一个zookeeper集群. zookeeper集群大家知道有部分通用配置 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/02mgDEM.html" rel="bookmark" class="title">Spring Web应用的最大瑕疵</a>
					<div>
						众所周知, 现在的Spring框架已经成为构建企业级Java应用事实上的标准了,众多的企业项目都构建在Spring项目及其子项目之上,特别是Java Web项目,很多都使用了Spring并且遵循着We ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MmlKDD4.html" rel="bookmark" class="title">lucas模板</a>
					<div>
						1 ll PowMod(ll a,ll b,ll MOD){ 2 ll ret=1; 3 while(b){ 4 if(b&amp;1) ret=(ret*a)%MOD; 5 a=(a*a)%MOD; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0bnVke0.html" rel="bookmark" class="title">django setting设置路径</a>
					<div>
						目录说明: BASE_DIR=os.path.dirname(os.path.dirname(os.path.abspath(__file__)))  #代表mysite目录 STATIC_URL = ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MDZ5zk3.html" rel="bookmark" class="title">oracle 进阶 （1）</a>
					<div>
						准备从零开始学习oracle. 我说过2016年坚持每周写一篇技术博客.那么从现在开始. 今天遇到一个弱爆了的问题: 前几天换了一台笔记本,在新笔记本上面安装了oracle 11g R2.使用dbca ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4J8bQQ0.html" rel="bookmark" class="title">JavaSript模块化 &amp;amp&semi;&amp;amp&semi;  AMD  CMD   详解&period;&period;&period;&period;&period;</a>
					<div>
						模块化是指在解决某一个复杂问题或者一系列的杂糅问题时,依照一种分类的思维把问题进行系统性的分解以之处理.模块化是一种处理复杂系统分解为代码结构更合理,可维护性更高的可管理的模块的方式.可以想象一个巨大 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MV8Jep3.html" rel="bookmark" class="title">&lbrack;Recommendation System&rsqb; 推荐系统之协同过滤（CF）算法详解和实现</a>
					<div>
						1 集体智慧和协同过滤 1.1 什么是集体智慧(社会计算)? 集体智慧 (Collective Intelligence) 并不是 Web2.0 时代特有的,只是在 Web2.0 时代,大家在 Web ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MPWvZ64.html" rel="bookmark" class="title">自用组帧工具</a>
					<div>
						#coding:utf-8 BUTTON = 'button' # 庄稼????? L_BLIND = 'little_blind' # 小盲注 B_BLIND = 'big_blind' # 小盲注 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3ZbDjD3.html" rel="bookmark" class="title">姿糖哪圳芮mzo7c4p62r3cxk8233k</a>
					<div>
						这柄巨剑可是第一次出现在本届大赛之上,马如龙也够能隐忍的,直到此刻,才将自己的底牌掀开.书迷楼最快更新,请收藏书迷楼(bxwx.org).全部醒转后的众人这才鱼贯走入海神阁之中.经过了刚刚的光之洗礼, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4AZN5yM.html" rel="bookmark" class="title">特征提取（Detect）、特征描述（Descriptor）、特征匹配（Match）的通俗解释</a>
					<div>
						特征匹配(Feature Match)是计算机视觉中很多应用的基础,所以花一些时间去深入理解这个概念是不为过的.本文希望通过一种通俗易懂的方式来阐述特征匹配这个过程,以及在过程中遇到的一些问题. 概念 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3OZWrK0.html" rel="bookmark" class="title">每日复盘及明日操作策略（20160107）</a>
					<div>
						开盘持仓:1/7 易尚展示 1/7 读者传媒 1/7博敏电子 4/7 雷曼股份(停牌) 受昨日外围股市影响, A股集合竞价即显颓势.易尚展示昨日2个点的利润今日直接低开4个点,读者传媒低开2个点,博敏 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0YqylN0.html" rel="bookmark" class="title">Android程序的入口点是什么&comma;不是Main&lpar;&rpar;吗</a>
					<div>
						很多初入Android开发的网页可能不知道Android程序的入口点是什么,不是main()吗,当然我相信回复onCreate的在字面上不算错,但是你们想的是Activity中的onCreate 方法 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0lNrRp4.html" rel="bookmark" class="title">Leetcode&colon; Max Sum of Rectangle No Larger Than K</a>
					<div>
						Given a non-empty 2D matrix matrix and an integer k, find the max sum of a rectangle in the matrix s ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0aGXEg4.html" rel="bookmark" class="title">webapi  接口规则</a>
					<div>
						[HttpPost] [AuthorizeFilter] public HttpResponseMessage DeleteStudentInfo([FromBody] object value) { ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 10 q. 0.033 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
